cURL
curl --request PUT \
--url https://{tenant}.stamp.eu/rest/employees/{employee}/compensations/{compensation} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compensation_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 1,
"currency": "<string>",
"effective_from": "2023-11-07T05:31:56Z",
"weekly_working_hours": 84.05,
"full_time_weekly_working_hours": 84.05,
"comment": "<string>"
}
'import requests
url = "https://{tenant}.stamp.eu/rest/employees/{employee}/compensations/{compensation}"
payload = {
"compensation_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 1,
"currency": "<string>",
"effective_from": "2023-11-07T05:31:56Z",
"weekly_working_hours": 84.05,
"full_time_weekly_working_hours": 84.05,
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compensation_type_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
value: 1,
currency: '<string>',
effective_from: '2023-11-07T05:31:56Z',
weekly_working_hours: 84.05,
full_time_weekly_working_hours: 84.05,
comment: '<string>'
})
};
fetch('https://{tenant}.stamp.eu/rest/employees/{employee}/compensations/{compensation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"employee_id": "<string>",
"compensation_type_id": "<string>",
"value": 123,
"currency": "<string>",
"effective_from": "<string>",
"interval": "<string>",
"weekly_working_hours": 123,
"full_time_weekly_working_hours": 123,
"suggested_weekly_hours": "<unknown>",
"hours_mismatch": "<unknown>",
"schedule_model_weekly_hours": "<unknown>",
"comment": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"compensation_type": {
"id": "<string>",
"name": "<string>",
"category": "<string>",
"is_system": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Vergütung
Vergütung aktualisieren
PUT
/
employees
/
{employee}
/
compensations
/
{compensation}
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The employee ID
The compensation ID
Body
application/json
Required range:
x >= 0Required string length:
3Available options:
monthly, quarterly, half_yearly, yearly, one_time Required range:
0.1 <= x <= 168Required range:
0.1 <= x <= 168Maximum string length:
1000Response
EmployeeCompensationResource
Show child attributes
Show child attributes
⌘I